<< filter1 | FOSSEE_Signal_Processing_Toolbox | filternorm >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > filter2

# filter2

Apply the 2-D FIR filter b to x.

### Syntax

    y = filter2(b, x)
    y = filter2(b, x, shape)

### Parameters

b:

  Vector or matrix. The 2-D FIR filter coefficients.

x:

  Vector or matrix. The input data to be filtered.

shape:

  String (optional). Specifies the shape of the output. Possible values are:

y:

  Vector or matrix. The filtered output.

### Description

This function applies a 2-D FIR filter `b` to the input data `x`. The optional `shape` parameter determines the size and content of the output.

### Examples

    y = filter2([1, 3], [4, 5])

    y = filter2([1, 2], [4; 5; 6], "full")

### See also

- convol2d

Report an issue
<< filter1 | FOSSEE_Signal_Processing_Toolbox | filternorm >>